# Run tests in check section
# disable for bootstrapping

%bcond_with check

%global with_debug 1
%if 0%{?with_debug}
%global debug_package   %{nil}
%endif

Name:           dde-clipboard
Version:        5.3.27
Release:        1%{?dist}.01
Summary:        Qt platform theme integration plugins for DDE
License:        GPLv3+
URL:            http://shuttle.corp.deepin.com/cache/repos/eagle/release-candidate/RERFNS4wLjAuNjU3NQ/pool/main/d/dde-clipboard/
Source0:        %{name}-%{version}.tar.gz

BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-linguist
BuildRequires:  dtkwidget-devel
BuildRequires:  dtkwidget
BuildRequires:  libgio-qt
BuildRequires:  libgio-qt-devel
BuildRequires:  pkgconfig(dframeworkdbus)
BuildRequires:  pkgconfig(gsettings-qt)
BuildRequires:  pkgconfig(gio-qt)
BuildRequires:  clang
BuildRequires:  cmake
BuildRequires:  dtkcommon-devel  
BuildRequires:  dtkcore-devel  
BuildRequires:  dtkgui-devel  
BuildRequires:  dtkwidget-devel  
BuildRequires:  deepin-desktop-base
BuildRequires:  qt5-qttools-devel
BuildRequires:  dde-network-utils-devel
BuildRequires:  kf5-networkmanager-qt-devel
BuildRequires:  qt5-qtbase-private-devel 
BuildRequires:  libXrandr-devel 
BuildRequires:  mtdev-devel
BuildRequires:  fontconfig-devel
BuildRequires:  freetype-devel
BuildRequires:  mesa-libEGL-devel 
BuildRequires: 	xcb-util-wm-devel
BuildRequires: 	gtest-devel

%description
Qt platform theme integration plugins for DDE
 Multiple Qt plugins to provide better Qt5 integration for DDE is included.


%prep
%autosetup -p1

%build
export PATH=$PATH:%{_libdir}/qt5/bin
mkdir build && cd build
%{_libdir}/qt5/bin/qmake ..
%{__make}

%install
pushd %{_builddir}/%{name}-%{version}/build
%make_install INSTALL_ROOT=%{buildroot}
popd

%files
%{_sysconfdir}/xdg/autostart/dde-clipboard.desktop
%{_bindir}/%{name}
%{_bindir}/%{name}loader
%{_datadir}/dbus-1/services/com.deepin.dde.Clipboard.service
%{_datadir}/%{name}/translations/
%{_datadir}/applications/dde-clipboard.desktop

%changelog
* Tue Jun 14 2022 uoser <uoser@uniontech.com> - 5.3.27-1.01
- update: update to 5.3.27-1.01
